summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: fae74a0)
raw | patch | inline | side by side (parent: fae74a0)
author | Johannes Sixt <j6t@kdbg.org> | |
Tue, 17 Mar 2009 21:45:22 +0000 (22:45 +0100) | ||
committer | Johannes Sixt <j6t@kdbg.org> | |
Thu, 19 Mar 2009 20:47:14 +0000 (21:47 +0100) |
There were some uses of 'say' inside test_expect_success. But if the tests
were not run in verbose mode, this message went to /dev/null. Pull them out
of test_expect_success.
Signed-off-by: Johannes Sixt <j6t@kdbg.org>
were not run in verbose mode, this message went to /dev/null. Pull them out
of test_expect_success.
Signed-off-by: Johannes Sixt <j6t@kdbg.org>
t/t0050-filesystem.sh | patch | blob | history | |
t/t3600-rm.sh | patch | blob | history | |
t/t7005-editor.sh | patch | blob | history |
diff --git a/t/t0050-filesystem.sh b/t/t0050-filesystem.sh
index 7edf49db3c37982a6d599a39b98ce60ceeb0039b..a449580c8a2e41c665e1f29c56877e271fd17fef 100755 (executable)
--- a/t/t0050-filesystem.sh
+++ b/t/t0050-filesystem.sh
aumlcdiar=`printf '\x61\xcc\x88'`
case_insensitive=
+unibad=
test_expect_success 'see if we expect ' '
test_case=test_expect_success
then
test_case=test_expect_failure
case_insensitive=t
- say "will test on a case insensitive filesystem"
fi &&
rm -fr junk &&
mkdir junk &&
case "$(cd junk && echo *)" in
"$aumlcdiar")
test_unicode=test_expect_failure
- say "will test on a unicode corrupting filesystem"
+ unibad=t
;;
*) ;;
esac &&
rm -fr junk
'
+test "$case_insensitive" &&
+ say "will test on a case insensitive filesystem"
+test "$unibad" &&
+ say "will test on a unicode corrupting filesystem"
+
if test "$case_insensitive"
then
test_expect_success "detection of case insensitive filesystem during repo init" '
diff --git a/t/t3600-rm.sh b/t/t3600-rm.sh
index 74ea8e09f88e0f80dafe88bf9e9d4d404143a591..2aefbcf47137f9be5cff8786123ce1252656abc6 100755 (executable)
--- a/t/t3600-rm.sh
+++ b/t/t3600-rm.sh
embedded' &&
git commit -m 'add files with tabs and newlines'
else
- say 'Your filesystem does not allow tabs in filenames.'
test_tabs=n
fi"
+test "$test_tabs" = n && say 'Your filesystem does not allow tabs in filenames.'
+
# Later we will try removing an unremovable path to make sure
# git rm barfs, but if the test is run as root that cannot be
# arranged.
diff --git a/t/t7005-editor.sh b/t/t7005-editor.sh
index 2d919d69ef110408b820c76185d6b8da63ea183e..2f8404afbbc38e9bed17b1d3c9dde22ddcb2eaa2 100755 (executable)
--- a/t/t7005-editor.sh
+++ b/t/t7005-editor.sh
'
done
+if ! echo 'echo space > "$1"' > "e space.sh"
+then
+ say "Skipping; FS does not support spaces in filenames"
+ test_done
+ exit
+fi
+
test_expect_success 'editor with a space' '
- if echo "echo space > \"\$1\"" > "e space.sh"
- then
- chmod a+x "e space.sh" &&
- GIT_EDITOR="./e\ space.sh" git commit --amend &&
- test space = "$(git show -s --pretty=format:%s)"
- else
- say "Skipping; FS does not support spaces in filenames"
- fi
+ chmod a+x "e space.sh" &&
+ GIT_EDITOR="./e\ space.sh" git commit --amend &&
+ test space = "$(git show -s --pretty=format:%s)"
'
unset GIT_EDITOR
test_expect_success 'core.editor with a space' '
- if test -f "e space.sh"
- then
- git config core.editor \"./e\ space.sh\" &&
- git commit --amend &&
- test space = "$(git show -s --pretty=format:%s)"
- else
- say "Skipping; FS does not support spaces in filenames"
- fi
+ git config core.editor \"./e\ space.sh\" &&
+ git commit --amend &&
+ test space = "$(git show -s --pretty=format:%s)"
'